diff --git a/ubuntu-sdk.pro b/ubuntu-sdk.pro
index 716c3055e..90445dc96 100644
--- a/ubuntu-sdk.pro
+++ b/ubuntu-sdk.pro
@@ -11,7 +11,7 @@ load(qt_parts)
 src_uitk_launcher.subdir = ubuntu-ui-toolkit-launcher
 src_uitk_launcher.depends = sub-src
 
-SUBDIRS += po app-launch-profiler src_uitk_launcher apicheck
+SUBDIRS += app-launch-profiler src_uitk_launcher apicheck
 !CONFIG(no_docs) {
     SUBDIRS += documentation
 }
